Table of Contents

## Name

im_line - writes a line on a vasari image

## Synopsis

#include <vips/vips.h>

int im_line(image, x1, y1, x2, y2, pelval)
IMAGE *image;
int x1, x2, y1, y2, pelval;

## Description

im_line() draws a line in the image held by image. The start of the line is at point (x1,y1) and the end is at (x2,y2). The intensity of the drawn line is pelval. Input image should be one byte unsigned char. The function overwrites any data in the file, so take care when applying it.

This function is here for compatibility only. You should use im_fastline(3) or im_fastlineuser(3) .

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_grey(3) , im_fastline(3) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 10/05/1991

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author